<?php
/*
Plugin Name: Blokube Button
Version: 1.0
Plugin URI: http://www.blokube.com/
Author URI: http://www.blokube.com
Author: Blokube

Description: Adds Blokube Vote button to your WordPress blog posts. See installation instructions to learn about all features of this plugin.
*/

$message = "";

if (!function_exists('blok_request_handler')) {
    function blok_request_handler() {
        global $message;

        if ($_POST['blok_action'] == "update options") {
            $blok_align_v = $_POST['blok_align_sl'];

   			update_option("blok_box_align", $blok_align_v);

			if($_POST['blok_home'] == "on") update_option('blok_display_home', "checked=on");
        	else update_option('blok_display_home', "");

        	if($_POST['blok_page'] == "on") update_option('blok_display_page', "checked=on");
        	else update_option('blok_display_page', "");

        	if($_POST['blok_post'] == "on") update_option('blok_display_post', "checked=on");
        	else update_option('blok_display_post', "");

        	if($_POST['blok_cat'] == "on") update_option('blok_display_cat', "checked=on");
        	else update_option('blok_display_cat', "");

        	if($_POST['blok_archive'] == "on") update_option('blok_display_archive', "checked=on");
        	else update_option('blok_display_archive', "");

   			update_option("blok_button", $_POST['blok_button']);

            $message = '<br clear="all" /> <div id="message" class="updated fade"><p><strong>Options saved. </strong></p></div>';
        }
    }
}

if(!function_exists('blok_add_menu')) {
    function blok_add_menu () {
        add_options_page("Blokube vote options", "Blokube Button", 8, basename(__FILE__), "blok_displayOptions");
    }
}

if (!function_exists('blok_displayOptions')) {
    function blok_displayOptions() {

        global $message;
        echo $message;

		print('<div class="wrap">');
		print('<h2>Blokube Voting Button Options</h2>');

        print ('<form name="blok_form" action="'. get_bloginfo("wpurl") . '/wp-admin/options-general.php?page=wp-blokube-vote.php' .'" method="post">');
?>
<table class="form-table">
	<tr valign="top">
		<th scope="row">Align</th>
		<td>
        <select name="blok_align_sl" id="blok_align_sl">
			<option value="Top Left"   <?php if (get_option("blok_box_align") == "Top Left") echo " selected"; ?> >Top Left</option>
			<option value="Top Right"   <?php if (get_option("blok_box_align") == "Top Right") echo " selected"; ?> >Top Right</option>
			<option value="Bottom Left"  <?php if (get_option("blok_box_align") == "Bottom Left") echo " selected"; ?> >Bottom Left</option>
			<option value="Bottom Right"  <?php if (get_option("blok_box_align") == "Bottom Right") echo " selected"; ?> >Bottom Right</option>
			<option value="None"  <?php if (get_option("blok_box_align") == "None") echo " selected"; ?> >None</option>
		</select>
		</td>
	</tr>

<tr valign="top">
<span style="border:.5px solid #848484; margin-bottom:-380px; background-color:#CEE3F6;padding:20px;width:25%; float:right;"><h3>About Blokube</h3><p>Blokube is a social voting site dedicated to professionals in Blogging, Marketing, SEO, SEM, web development etc. The ideal of Blokube is to promote interaction between bloggers by "voting" with each others blogs. <a href="http://blokube.com/page.php?page=about">Read More....</a><br /><h3>Get connected with Blokube</h3><li style="margin-left:12px;"><a href="http://www.twitter.com/blokube">Follow us on Twitter</a></li><li style="margin-left:12px;"><a href="http://www.facebook.com/blokube/">Join us on Facebook</a></li></p><h3>Sites in Our Network</h3><li style="margin-left:12px;"><a href="http://www.technshare.com">Make Money Blogging</a></li> <li style="margin-left:12px;"><a href="http://www.wpkube.com/">WordPress Tutorials site</a></li></span></tr>
	<tr valign="top">
		<th scope="row">Display Blokube Button on:</th>
		<td>
			<INPUT TYPE=CHECKBOX NAME="blok_home" <?php echo get_option('blok_display_home'); ?> />Home page<br />
			<INPUT TYPE=CHECKBOX NAME="blok_page" <?php echo get_option('blok_display_page'); ?> />Pages<br />
			<INPUT TYPE=CHECKBOX NAME="blok_post" <?php echo get_option('blok_display_post'); ?> />Blog Post<br />
			<INPUT TYPE=CHECKBOX NAME="blok_cat" <?php echo get_option('blok_display_cat'); ?> />Category Pages<br />
			<INPUT TYPE=CHECKBOX NAME="blok_archive" <?php echo get_option('blok_display_archive'); ?> />Archive Pages<br /><br />
		</td>
	</tr>
	<tr>
		<th scope="row">Which Blokube button would you like to use?</th>
		<td>
			<fieldset>
				<label style="display:block;text-align:center;width:120px;"><input type="radio" name="blok_button" value="1" <?php if(get_option('blok_button') == '1') : ?>checked="checked"<?php endif; ?> /><br /><img src="http://blokube.com/buttons/vote3d.png" alt="" /></label>	<br /><br />
<label style="display:block;text-align:center;width:120px;"><input type="radio" name="blok_button" value="2" <?php if(get_option('blok_button') == '2') : ?>checked="checked"<?php endif; ?> /><br /><img src="http://blokube.com/buttons/vote4d.png" alt="" /></label><br /><br />
				<label style="display:block;text-align:center;width:120px;"><input type="radio" name="blok_button" value="3" <?php if(get_option('blok_button') == '3') : ?>checked="checked"<?php endif; ?> /><br /><img src="http://blokube.com/buttons/vote1d.png" alt="" /></label><br /><br />
				<label style="display:block;text-align:center;width:120px;"><input type="radio" name="blok_button" value="4" <?php if(get_option('blok_button') == '4') : ?>checked="checked"<?php endif; ?> /><br /><img src="http://blokube.com/buttons/vote2d.png" alt="" /></label>
			</fieldset>
		</td>
	</tr>
</table>
<p class="submit">
<input class="button-primary" type="submit" value="Save Changes" name="Submit"/>
</p>	

<?php
		print ('<input type="hidden" name="blok_action" value="update options" />');
		print('</form></div>');

    }
}

if (!function_exists('blok_blokubehtml')) {
	function blok_blokubehtml($float,$button_url) {
		global $wp_query;
		$post = $wp_query->post;
     	$id = $post->ID;
		$permalink = get_permalink($id);
        $title = urlencode($post->post_title);
		$blokubehtml = <<<CODE

<!-- FINE TUNE BUTTON POSITION FOR METHOD A AND B HERE -->
    <span style="margin-top: 7px;
				 margin-right: 10px;
8\				 margin-bottom: 10x;
				 margin-left: 10x; 
				 
				 float: $float;">

	<script type="text/javascript">
	submit_url = "$permalink";
	</script>
    <script type="text/javascript" src="http://www.blokube.com/$button_url"></script>
	</span>
CODE;
	return  $blokubehtml;
	}
}


if (!function_exists('blok_addbutton')) {
	function blok_addbutton($content) {
		$blok_display = true;
		if(is_home() && !get_option('blok_display_home') == 'checked=on')
           $blok_display = false;
     	if(is_page() && !get_option('blok_display_page') == 'checked=on')
           $blok_display = false;
     	if(is_single() && !get_option('blok_display_post') == 'checked=on')
           $blok_display = false;
     	if(is_category() && !get_option('blok_display_cat') == 'checked=on')
           $blok_display = false;
     	if(is_archive() && !get_option('blok_display_archive') == 'checked=on')
           $blok_display = false;

		if(get_option('blok_button') == '2') {
			$button_url = "evb/button1.php";
		} else if (get_option('blok_button') == '3') {
			$button_url = "evb/button8.php";
		} else if (get_option('blok_button') == '4') {
			$button_url = "evb/button7.php";
		} else {
			$button_url = "evb/button2.php";
		} 
		
		if($blok_display === true) {
    		if(! preg_match('|<!--blokube-->|', $content)) {
    		    $blok_align = get_option("blok_box_align");
    		    if ($blok_align) {
                    switch ($blok_align) {
                        case "Top Left":
        		              return blok_blokubehtml("left",$button_url).$content;
                              break;
                        case "Top Right":
        		              return blok_blokubehtml("Right",$button_url).$content;
                              break;
                        case "Bottom Left":
        		              return $content.blok_blokubehtml("left",$button_url);
                              break;
                        case "Bottom Right":
        		              return $content.blok_blokubehtml("right",$button_url);
                              break;
                        case "None":
        		              return $content;
                              break;
                        default:
        		              return blok_blokubehtml("left",$button_url).$content;
                              break;
                    }
                } else {
        		      return blok_blokubehtml("left",$button_url).$content;
                }

    		} else {
                  return str_replace('<!--blokube-->', blok_blokubehtml("",$button_url), $content);
            }
        } else {
			return $content;
        }
	}
}


if (!function_exists('show_blokube')) {
	function show_blokube($float = "left") {
        global $post;
		$permalink = get_permalink($post->ID);
		echo <<<CODE

<!-- FINE TUNE BUTTON POSITION FOR METHOD C HERE -->
    <span style="margin-top: 7px;
				 margin-right: 10px;
				 margin-bottom: 10px;
				 margin-left: 10px; 
				 float: $float;">

	<script type="text/javascript">
	submit_url = "$permalink";
	</script>
    <script type="text/javascript" src="http://www.blokube.com/evb/button.php"></script>
	</span>
CODE;
    }
}

add_filter('the_content', 'blok_addbutton', 999);
add_action('admin_menu', 'blok_add_menu');
add_action('init', 'blok_request_handler');
?>